%bcond_without check

%global goipath         github.com/Shopify/sarama
Version:                1.27.2

%gometa

%global common_description %{expand:
Sarama is an MIT-licensed Go client library for Apache Kafka version 0.8 (and later).}

%global golicenses      LICENSE
%global godocs          examples CHANGELOG.md README.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        Go library for Apache Kafka 0.8, and up

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}
Source1:        vendor.tar.gz




%description
%{common_description}

%gopkg

%prep
%goprep
tar -xzf %{SOURCE1}

%build
for cmd in tools/kafka-console-consumer tools/kafka-console-partitionconsumer tools/kafka-console-producer tools/kafka-producer-performance; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
rm -rf kerberos_client_test.go
%gocheck
%endif

%files
%license %{golicenses}
%doc %{godocs}
%{_bindir}/*

%gopkgfiles

%changelog
* Mon Sep 09 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.27.2-1
- initial build
